package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ExamineSchedule;

/**
 * 审核进度Mapper接口
 * 
 * @author boman
 * @date 2022-01-24
 */
public interface ExamineScheduleMapper 
{
    /**
     * 查询审核进度
     * 
     * @param id 审核进度主键
     * @return 审核进度
     */
    public ExamineSchedule selectExamineScheduleById(Long id);

    /**
     * 根据文章id去查询进度
     * @param id
     * @return
     */
    public ExamineSchedule selectExamineScheduleByNewId(Long id);

    /**
     * 查询审核进度列表
     * 
     * @param examineSchedule 审核进度
     * @return 审核进度集合
     */
    public List<ExamineSchedule> selectExamineScheduleList(ExamineSchedule examineSchedule);

    /**
     * 新增审核进度
     * 
     * @param examineSchedule 审核进度
     * @return 结果
     */
    public int insertExamineSchedule(ExamineSchedule examineSchedule);

    /**
     * 修改审核进度
     * 
     * @param examineSchedule 审核进度
     * @return 结果
     */
    public int updateExamineSchedule(ExamineSchedule examineSchedule);

    /**
     * 删除审核进度
     * 
     * @param id 审核进度主键
     * @return 结果
     */
    public int deleteExamineScheduleById(Long id);

    /**
     * 批量删除审核进度
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExamineScheduleByIds(Long[] ids);
}
